procedure SimulateKeystroke(Key : byte; extra : DWORD);
begin
     keybd_event(Key, extra, 0,0);
     keybd_event(Key, extra, KEYEVENTF_KEYUP,0);
end;


procedure SimulateKeyDown(Key : byte);
begin
     keybd_event(Key, 0, 0, 0);
end;


procedure SimulateKeyUp(Key : byte);
begin 
     keybd_event(Key, 0, KEYEVENTF_KEYUP, 0); 
end;


// Eg: PostKeyEx(VK_RIGHT, [ssShift], 0);
Procedure PostKeyEx32( key: Word; Const shift: TShiftState;
                     specialkey: Boolean );
  Type 
    TShiftKeyInfo = Record 
                      shift: Byte;
                      vkey : Byte; 
                    End;
    byteset = Set of 0..7;
  Const
    shiftkeys: Array [1..3] of TShiftKeyInfo = 
      ((shift: Ord(ssCtrl); vkey: VK_CONTROL ),
       (shift: Ord(ssShift); vkey: VK_SHIFT ),
       (shift: Ord(ssAlt); vkey: VK_MENU ));
  Var
    flag: DWORD;
    bShift: ByteSet absolute shift; 
    i: Integer;
  Begin
    For i := 1 To 3 Do Begin
      If shiftkeys[i].shift In bShift Then
        keybd_event( shiftkeys[i].vkey, 
                     MapVirtualKey(shiftkeys[i].vkey, 0),
                     0, 0);
    End; { For }
    If specialkey Then 
      flag := KEYEVENTF_EXTENDEDKEY
    Else
      flag := 0;


    keybd_event( key, MapvirtualKey( key, 0 ), flag, 0 );
    flag := flag or KEYEVENTF_KEYUP;
    keybd_event( key, MapvirtualKey( key, 0 ), flag, 0 );


    For i := 3 DownTo 1 Do Begin
      If shiftkeys[i].shift In bShift Then
        keybd_event( shiftkeys[i].vkey,
                     MapVirtualKey(shiftkeys[i].vkey, 0),
                     KEYEVENTF_KEYUP, 0);
    End; { For }
End; // PostKeyEx32
