// procedure SomeScreenorUnitName.RegistryRead;
// var
   // Registry Information
   Registry: TRegistry;
begin
     Registry := TRegistry.Create;
     try
        try
           Registry.RootKey:=HKEY_LOCAL_MACHINE;

           /////////////////////////////////
           //     Settings
           /////////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apGlobRegEntry,False) then
           begin
                try
                   Glob_Reg_ConnOnStart      := Registry.ReadInteger('ConnStart'    );      //  ConnectStartCheckBox

                except
                   // Default some values
                   Glob_Reg_TextRequests :=  'C:\VoiceOffice';

                end;
                // Close the key
                Registry.CloseKey;

           end;

           ///////////////////////////////
           //     Server
           ///////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apServerRegEntry,False) then
           begin
                Glob_Reg_ServerName       := 'Server Name';
                Glob_Reg_Notes            := '';
                Glob_Reg_HTTPRoot         := 'C:\VoiceOffice\Web';
                Glob_Reg_HTTPPort         := 5048;
                Glob_Reg_HTTPVMSP         := 5049;
                Glob_Reg_TCPPort          := 5046;
                Glob_Reg_TCPVMSP          := 5047;
                Glob_Reg_HTTPRefresh      := 10;
                Glob_Reg_HTTPStealth      := 0;
                Glob_Reg_NetTimeOut       := 10000;
                Glob_Reg_TextRequests     := 'C:\VoiceOffice';
                Glob_Reg_VMSDir           := 'VoiceOffice\VMail';      // Goes to root of disk
                Glob_Reg_DL_HTTPHost      := '';

                try
                   Glob_Reg_ServerName       := Registry.ReadString ('SystemName'   );
                except
                end;
                try
                   Glob_Reg_Notes            := Registry.ReadString ('Notes'        );
                except
                end;
                try
                   Glob_Reg_HTTPRoot         := Registry.ReadString ('HTTPRoot'     );
                except
                end;
                try
                   Glob_Reg_HTTPPort         := Registry.ReadInteger('HTTPPort'     );
                except
                end;
                try
                   Glob_Reg_HTTPVMSP         := Registry.ReadInteger('HTTPPortVMS'  );
                except
                end;
                try
                   Glob_Reg_TCPPort          := Registry.ReadInteger('TCPPort'      );
                except
                end;
                try
                   Glob_Reg_TCPVMSP          := Registry.ReadInteger('TCPPortVMS'   );
                except
                end;
                try
                   Glob_Reg_HTTPRefresh      := Registry.ReadInteger('HTTPRefresh'  );
                except
                end;
                try
                   Glob_Reg_HTTPStealth      := Registry.ReadInteger('HTTPStealth'  );
                except
                end;
                try
                   Glob_Reg_NetTimeOut       := Registry.ReadInteger('NetTimeOut'   );
                except
                end;
                try
                   Glob_Reg_TextRequests     := Registry.ReadString ('TextRequests' );
                except
                end;
                try
                   Glob_Reg_VMSDir           := Registry.ReadString ('VMSDir'       );
                except
                end;
                try
                   Glob_Reg_DL_HTTPHost      := Registry.ReadString ('DownloadHTTPHost' );
                except
                end;


                // Close the key
                Registry.CloseKey;

                // Make sure the refresh doesnt happen too frequently
                if Glob_Reg_HTTPRefresh < 0 then
                begin
                     Glob_Reg_HTTPRefresh := 1;
                end;

           end;

           ///////////////////////////////
           //     FTP
           ///////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apFTPRegEntry,False) then
           begin
                try
                   Glob_Reg_FTPPort          := Registry.ReadInteger('FTPPort'      );      //  spnedtFTPPort
                   Glob_Reg_FTPData          := Registry.ReadInteger('FTPData'      );      //  spnedtFTPData

                except
                   Glob_Reg_FTPPort      := 20;
                   Glob_Reg_FTPData      := 21;

                end;

                // Close the key
                Registry.CloseKey;

           end;

           ///////////////////////////////
           //     Credit Card
           ///////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apCreditRegEntry,False) then
           begin
                Glob_Reg_CredCardIP       := '0.0.0.0';
                Glob_Reg_CredCardPort     := 0;
                Glob_Reg_CredCardSesn     := 1;
                try
                   // Glob_Reg_CredCardIP       := Registry.ReadString ('CredCardIP'   );      //  EditCCIP
                   // Glob_Reg_CredCardPort     := Registry.ReadInteger('CredCardPort' );      //  spnedtCCPort
                   // Glob_Reg_CredCardSesn     := Registry.ReadInteger('CredCardSesn' );      //  spnedtCCSessions

                except
                   Glob_Reg_CredCardIP       := '0.0.0.0';
                   Glob_Reg_CredCardPort     := 0;
                   Glob_Reg_CredCardSesn     := 1;
                end;

                // Close the key
                Registry.CloseKey;

           end;

           ///////////////////////////////
           //     SMS
           ///////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apSMSRegEntry,False) then
           begin
                try
                   Glob_Reg_SMSIP       := Registry.ReadString ('SMSIP'   );      //EditSMSIP
                   Glob_Reg_SMSPort     := Registry.ReadInteger('SMSPort' );      //spnedtSMSPort
                   Glob_Reg_SMSSesn     := Registry.ReadInteger('SMSSesn' );      //spnedtSMSSessions


                except
                   Glob_Reg_SMSIP        := '0.0.0.0';
                   Glob_Reg_SMSPort      := 0;
                   Glob_Reg_SMSSesn      := 1;

                end;

                // Close the key
                Registry.CloseKey;

           end;

           ///////////////////////////////
           //     Office Chat
           ///////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apOffChatRegEntry,False) then
           begin
                Glob_Reg_OffChatIP         := '0.0.0.0';
                Glob_Reg_OffChatPort       := 0;
                Glob_Reg_OffChatSesn       := 1;
                try
                //   Glob_Reg_OffChatIP       := Registry.ReadString ('OffChatIP'   );      //EditOffChatIP
                //   Glob_Reg_OffChatPort     := Registry.ReadInteger('OffChatPort' );      //spnedtOffChatPort
                //   Glob_Reg_OffChatSesn     := Registry.ReadInteger('OffChatSesn' );      //spnedtOffChatSessions


                except
                   Glob_Reg_OffChatIP         := '0.0.0.0';
                   Glob_Reg_OffChatPort       := 0;
                   Glob_Reg_OffChatSesn       := 1;

                end;

                // Close the key
                Registry.CloseKey;

           end;




           /////////////////////////////////
           //     Settings
           /////////////////////////////////

           // False because we do not want to create it if it doesnt exist
           if Registry.OpenKey(apGlobRegEntry,False) then
           begin
                Glob_Reg_Activation          := 0;
                Glob_Reg_Authenticate        := 0;
                Glob_Reg_ConnOnStart         := 0;
                Glob_Reg_EnableLog           := 1;
                Glob_Reg_ReduceLog           := 0;
                Glob_Reg_NonLocalLogOnly     := 0;
                Glob_Reg_LogDir              := 'log';
                Glob_Reg_ManageSesns         := 0;
                Glob_Reg_UseSSL              := 0;
                Glob_Reg_SSLPass             := '';
                Glob_Reg_BatchDay            := '';
                Glob_Reg_BatchHour           := '';
                Glob_Reg_BatchMinute         := '';
                try
                   Glob_Reg_Activation       := Registry.ReadInteger('Activation'        );
                except
                end;
                try
                   Glob_Reg_Authenticate     := Registry.ReadInteger('Authenticate'      );
                except
                end;
                try
                   Glob_Reg_ConnOnStart      := Registry.ReadInteger('ConnStart'         );
                except
                end;
                try
                   Glob_Reg_EnableLog        := Registry.ReadInteger('EnableLog'         );
                except
                end;
                try
                   Glob_Reg_ReduceLog        := Registry.ReadInteger('ReduceLog'         );
                except
                end;
                try
                   Glob_Reg_NonLocalLogOnly  := Registry.ReadInteger('NonLocalLogOnly'   );
                except
                end;
                try
                   Glob_Reg_LogDir           := Registry.ReadString ('LogDir'            );
                except
                end;
                try
                   Glob_Reg_ManageSesns      := Registry.ReadInteger('ManageSesns'       );
                except
                end;
                try
                   Glob_Reg_UseSSL           := Registry.ReadInteger('UseSSL'            );
                except
                end;
                try
                   Glob_Reg_SSLPass          := Registry.ReadString ('SSLPass'           );
                except
                end;
                try
                   Glob_Reg_BatchDay         := Registry.ReadString ('BatchDay'          );
                except
                end;
                try
                   Glob_Reg_BatchHour        := Registry.ReadString ('BatchHour'         );
                except
                end;
                try
                   Glob_Reg_BatchMinute      := Registry.ReadString ('BatchMinute'       );
                except
                end;

                // Close the key
                Registry.CloseKey;

           end;
        except
           // We had a major failure
           on E: Exception do
           begin

           end;
        end;
     finally

        // Close it
        Registry.Free;

     end;
     // Mark that we have read the registry
     Glob_RegistryRead := True;
